--- old/usr/src/man/man3tecla/gl_get_line.3tecla	Sat Jan 18 13:36:57 2020
+++ new/usr/src/man/man3tecla/gl_get_line.3tecla	Sat Jan 18 13:36:57 2020
@@ -25,7 +25,7 @@
 .\" or other dealings in this Software without prior written authorization
 .\" of the copyright holder.
 .\" Portions Copyright (c) 2007, Sun Microsystems, Inc. All Rights Reserved.
-.TH GL_GET_LINE 3TECLA "April 9, 2016"
+.TH GL_GET_LINE 3TECLA "January 18, 2020"
 .SH NAME
 gl_get_line, new_GetLine, del_GetLine, gl_customize_completion,
 gl_change_terminal, gl_configure_getline, gl_load_history, gl_save_history,
@@ -39,7 +39,6 @@
 gl_erase_terminal, gl_automatic_history, gl_append_history, gl_query_char,
 gl_read_char \- allow the user to compose an input line
 .SH SYNOPSIS
-.LP
 .nf
 cc [ \fIflag\fR\&.\|.\|. ] \fIfile\fR\&.\|.\|. \fB-ltecla\fR [ \fIlibrary\fR\&.\|.\|. ]
 #include <stdio.h>
@@ -267,7 +266,6 @@
 .fi
 
 .SH DESCRIPTION
-.LP
 The \fBgl_get_line()\fR function is part of the \fBlibtecla\fR(3LIB) library.
 If the user is typing at a terminal, each call prompts them for a line of
 input, then provides interactive editing facilities, similar to those of the
@@ -277,7 +275,6 @@
 command-line editing features and all user configuration options can be found
 on the \fBtecla\fR(5) manual page.
 .SS "An Example"
-.LP
 The following shows a complete example of how to use the \fBgl_get_line()\fR
 function to get input from the user:
 .sp
@@ -322,7 +319,6 @@
 \fBgl_get_line()\fR, said function will complain, and return an error, instead
 of attempting to use the deleted resource object.
 .SS "The Functions Used In The Example"
-.LP
 The \fBnew_GetLine()\fR function creates the resources used by the
 \fBgl_get_line()\fR function and returns an opaque pointer to the object that
 contains them. The maximum length of an input line is specified by the
@@ -375,7 +371,6 @@
 makes \fBgl_get_line()\fR similar to \fBfgets\fR(3C). When \fBstdin\fR is not
 connected to a terminal, \fBgl_get_line()\fR simply calls \fBfgets()\fR.
 .SS "The Return Status Of \fBgl_get_line()\fR"
-.LP
 The \fBgl_get_line()\fR function has two possible return values: a pointer to
 the completed input line, or \fINULL\fR. Additional information about what
 caused \fBgl_get_line()\fR to return is available both by inspecting
@@ -433,7 +428,7 @@
 \fB\fBGLR_FDABORT\fR\fR
 .ad
 .RS 15n
-An application I/O callback returned \fBGLFD_ABORT\fR. Ssee
+An application I/O callback returned \fBGLFD_ABORT\fR. See
 \fBgl_watch_fd()\fR.
 .RE
 
@@ -475,7 +470,6 @@
 and the return value will be a pointer to the first element of this buffer. If
 the message will not fit in the provided buffer, it will be truncated to fit.
 .SS "Optional Prompt Formatting"
-.LP
 Whereas by default the prompt string that you specify is displayed literally
 without any special interpretation of the characters within it, the
 \fBgl_prompt_style()\fR function can be used to enable optional formatting
@@ -632,7 +626,6 @@
 .RE
 
 .SS "Alternate Configuration Sources"
-.LP
 By default users have the option of configuring the behavior of
 \fBgl_get_line()\fR with a configuration file called \fB\&.teclarc\fR in their
 home directories. The fact that all applications share this same configuration
@@ -681,7 +674,7 @@
 \fB/usr/share/myapp/teclarc\fR, then finally reads user-specific configuration
 commands from an optional \fB\&.teclarc\fR file in the user's home directory.
 Note that the arguments are listed in ascending order of priority, with the
-contents of \fIapp_string\fR being potentially over riden by commands in
+contents of \fIapp_string\fR being potentially overridden by commands in
 \fIapp_file\fR, and commands in \fIapp_file\fR potentially being overridden by
 commands in \fIuser_file\fR.
 .sp
@@ -731,7 +724,6 @@
 action to bind the key sequence to, or it must be \fINULL\fR or \fB""\fR to
 unbind the key sequence.
 .SS "Customized Word Completion"
-.LP
 If in your application you would like to have TAB completion complete other
 things in addition to or instead of filenames, you can arrange this by
 registering an alternate completion callback function with a call to the
@@ -756,15 +748,15 @@
 as an argument, by calling the \fBcpl_add_completion()\fR function. If the
 callback function wants to provide filename completion in addition to its own
 specific completions, it has the option of itself calling the builtin filename
-completion callback. This also is documented on the
+completion callback. This is also documented in the
 \fBcpl_complete_word\fR(3TECLA) manual page.
 .sp
 .LP
 If you would like \fBgl_get_line()\fR to return the current input line when a
-successful completion is been made, you can arrange this when you call
+successful completion has been made, you can arrange this when you call
 \fBcpl_add_completion()\fR by making the last character of the continuation
 suffix a newline character. The input line will be updated to display the
-completion, together with any contiuation suffix up to the newline character,
+completion, together with any continuation suffix up to the newline character,
 and \fBgl_get_line()\fR will return this input line.
 .sp
 .LP
@@ -774,7 +766,6 @@
 notify \fBgl_get_line()\fR that the input line will need to be redrawn when the
 callback returns.
 .SS "Adding Completion Actions"
-.LP
 In the previous section the ability to customize the behavior of the only
 default completion action, complete-word, was described. In this section the
 ability to install additional action functions, so that different types of word
@@ -799,7 +790,7 @@
 .sp
 .LP
 Beware that in order for the user to be able to change the key sequence that is
-bound to actions that are installed in this manner, you shouldcall
+bound to actions that are installed in this manner, you should call
 \fBgl_completion_action()\fR to install a given action for the first time
 between calling \fBnew_GetLine()\fR and the first call to \fBgl_get_line()\fR.
 Otherwise, when the user's configuration file is read on the first call to
@@ -811,7 +802,6 @@
 needs to write anything to the terminal, it must call \fBgl_normal_io()\fR
 before doing so.
 .SS "Defining Custom Actions"
-.LP
 Although the built-in key-binding actions are sufficient for the needs of most
 applications, occasionally a specialized application may need to define one or
 more custom actions, bound to application-specific key sequences. For example,
@@ -937,7 +927,6 @@
 this to work, it is necessary to call \fBgl_register_action()\fR between
 calling \fBnew_GetLine()\fR and the first call to \fBgl_get_line()\fR.
 .SS "History Files"
-.LP
 To save the contents of the history buffer before quitting your application and
 subsequently restore them when you next start the application, the
 \fBgl_save_history()\fR and \fBgl_load_history()\fR functions are provided.
@@ -966,11 +955,10 @@
 the most recent lines should be saved.
 .sp
 .LP
-Both fuctions return non-zero on error, after writing an error message to
+Both functions return non-zero on error, after writing an error message to
 \fBstderr\fR. Note that \fBgl_load_history()\fR does not consider the
 non-existence of a file to be an error.
 .SS "Multiple History Lists"
-.LP
 If your application uses a single \fBGetLine\fR object for entering many
 different types of input lines, you might want \fBgl_get_line()\fR to
 distinguish the different types of lines in the history list, and only recall
@@ -993,7 +981,6 @@
 a historical input line, it only recalls lines that are marked with the current
 identifier.
 .SS "Displaying History"
-.LP
 The history list can be displayed by calling \fBgl_show_history()\fR. This
 function displays the current contents of the history list to the \fBstdio\fR
 output stream \fIfp\fR. If the \fImax_lines\fR argument is greater than or
@@ -1071,7 +1058,6 @@
 .LP
 Note the inclusion of an explicit newline character in the format string.
 .SS "Looking Up History"
-.LP
 The \fBgl_lookup_history()\fR function allows the calling application to look
 up lines in the history list.
 .sp
@@ -1092,7 +1078,6 @@
 on the next call to any function that takes \fIgl\fR as its argument. Therefore
 you should make a private copy of this string if you need to keep it.
 .SS "Manual History Archival"
-.LP
 By default, whenever a line is entered by the user, it is automatically
 appended to the history list, just before \fBgl_get_line()\fR returns the line
 to the caller. This is convenient for the majority of applications, but there
@@ -1147,7 +1132,6 @@
 remains in a valid state to receive new history lines, so there is little harm
 in simply ignoring the return status of \fBgl_append_history()\fR.
 .SS "Miscellaneous History Configuration"
-.LP
 If you wish to change the size of the history buffer that was originally
 specified in the call to \fBnew_GetLine()\fR, you can do so with the
 \fBgl_resize_history()\fR function.
@@ -1192,7 +1176,6 @@
 be added to the history list, and history lookup key-bindings will act as
 though there is nothing in the history buffer.
 .SS "Querying History Information"
-.LP
 The configured state of the history list can be queried with the
 \fBgl_history_state()\fR function. On return, the status information is
 recorded in the variable pointed to by the \fIstate\fR argument.
@@ -1213,7 +1196,6 @@
 On return, the size information is recorded in the variable pointed to by the
 \fIsize\fR argument.
 .SS "Changing Terminals"
-.LP
 The \fBnew_GetLine()\fR constructor function assumes that input is to be read
 from \fBstdin\fR and output written to \fBstdout\fR. The following function
 allows you to switch to different input and output streams.
@@ -1239,7 +1221,6 @@
 you can do this by creating \fBstdio\fR stream wrappers using the POSIX
 \fBfdopen\fR(3C) function.
 .SS "External Event Handling"
-.LP
 By default, \fBgl_get_line()\fR does not return until either a complete input
 line has been entered by the user, or an error occurs. In programs that need to
 watch for I/O from other sources than the terminal, there are two options.
@@ -1380,7 +1361,6 @@
 and \fIevent\fR arguments, but with a \fIcallback\fR argument of 0. The
 \fIdata\fR argument is ignored in this case.
 .SS "Setting An Inactivity Timeout"
-.LP
 The \fBgl_inactivity_timeout()\fR function can be used to set or cancel an
 inactivity timeout. Inactivity in this case refers both to keyboard input, and
 to I/O on any file descriptors registered by prior and subsequent calls to
@@ -1474,7 +1454,6 @@
 To turn off timeouts, simply call \fBgl_inactivity_timeout()\fR with a
 \fIcallback\fR argument of 0. The \fIdata\fR argument is ignored in this case.
 .SS "Signal Handling Defaults"
-.LP
 By default, the \fBgl_get_line()\fR function intercepts a number of signals.
 This is particularly important for signals that would by default terminate the
 process, since the terminal needs to be restored to a usable state before this
@@ -1712,7 +1691,6 @@
 relinquishes the controlling terminal, so this is only a problem with older
 shells.
 .SS "Customized Signal Handling"
-.LP
 The previous section listed the signals that \fBgl_get_line()\fR traps by
 default, and described how it responds to them. This section describes how to
 both add and remove signals from the list of trapped signals, and how to
@@ -1865,7 +1843,7 @@
 effect as \fBGL_SUSPEND_INPUT\fR. Otherwise it will start writing on a line
 that already contains part of the displayed input line. This does not do any
 harm, but it looks a bit ugly, which is why the \fBGL_SUSPEND_INPUT\fR
-combination is better if you know that you are always going to be writting to
+combination is better if you know that you are always going to be writing to
 the terminal.
 .sp
 .LP
@@ -1913,7 +1891,6 @@
 have a way to distinguish between an input line that was entered using the
 return key, and one that was entered by the receipt of a signal.
 .SS "Reliable Signal Handling"
-.LP
 Signal handling is surprisingly hard to do reliably without race conditions. In
 \fBgl_get_line()\fR a lot of care has been taken to allow applications to
 perform reliable signal handling around \fBgl_get_line()\fR. This section
@@ -2127,7 +2104,6 @@
 and handle them synchronously, one at a time, at a point in the code where
 \fBgl_get_line()\fR has complete control over its environment.
 .SS "The Terminal Size"
-.LP
 On most systems the combination of the \fBTIOCGWINSZ\fR ioctl and the
 \fBSIGWINCH\fR signal is used to maintain an accurate idea of the terminal
 size. The terminal size is newly queried every time that \fBgl_get_line()\fR is
@@ -2178,7 +2154,6 @@
 of terminal columns and lines to use if the terminal size cannot be determined
 by ioctl(\fBTIOCGWINSZ\fR) or environment variables.
 .SS "Hiding What You Type"
-.LP
 When entering sensitive information, such as passwords, it is best not to have
 the text that you are entering echoed on the terminal. Furthermore, such text
 should not be recorded in the history list, since somebody finding your
@@ -2205,7 +2180,6 @@
 complete your prefix as far as possible, ambiguous completions will not be
 displayed.
 .SS "Single Character Queries"
-.LP
 Using \fBgl_get_line()\fR to query the user for a single character reply, is
 inconvenient for the user, since they must hit the enter or return key before
 the character that they typed is returned to the program. Thus the
@@ -2253,7 +2227,6 @@
 displayed. The next call to \fBgl_get_line()\fR will thus start editing a new
 line.
 .SS "Reading Raw Characters"
-.LP
 Whereas the \fBgl_query_char()\fR function visibly prompts the user for a
 character, and displays what they typed, the \fBgl_read_char()\fR function
 reads a signal character from the user, without writing anything to the
@@ -2275,13 +2248,11 @@
 usually generate at least three characters each, so a single call to
 \fBgl_read_char()\fR will not be enough to identify such keystrokes.
 .SS "Clearing The Terminal"
-.LP
 The calling program can clear the terminal by calling
 \fBgl_erase_terminal()\fR. In non-blocking server-I/O mode, this function also
 arranges for the current input line to be redrawn from scratch when
 \fBgl_get_line()\fR is next called.
 .SS "Displaying Text Dynamically"
-.LP
 Between calls to \fBgl_get_line()\fR, the \fBgl_display_text()\fR function
 provides a convenient way to display paragraphs of text, left-justified and
 split over one or more terminal lines according to the constraints of the
@@ -2324,7 +2295,6 @@
 .LP
 On error, \fBgl_display_text()\fR returns -1.
 .SS "Callback Function Facilities"
-.LP
 Unless otherwise stated, callback functions such as tab completion callbacks
 and event callbacks should not call any functions in this module. The following
 functions, however, are designed specifically to be used by callback functions.
@@ -2338,7 +2308,6 @@
 input line will be re-drawn with the new prompt on the following call to
 \fBgl_get_line()\fR.
 .SS "International Character Sets"
-.LP
 Since \fBlibtecla\fR(3LIB) version 1.4.0, \fBgl_get_line()\fR has been 8-bit
 clean. This means that all 8-bit characters that are printable in the user's
 current locale are now displayed verbatim and included in the returned input
@@ -2372,7 +2341,6 @@
 at the shell prompt. Further documentation on how the user can make use of this
 to enter international characters can be found in the \fBtecla\fR(5) man page.
 .SS "Thread Safety"
-.LP
 Unfortunately neither \fBterminfo\fR nor \fBtermcap\fR were designed to be
 reentrant, so you cannot safely use the functions of the getline module in
 multiple threads (you can use the separate file-expansion and word-completion
@@ -2382,7 +2350,6 @@
 multi-threaded program, provided that your other threads do not use any
 \fBtermcap\fR or \fBterminfo\fR functions.
 .SH ATTRIBUTES
-.LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
 
@@ -2399,7 +2366,6 @@
 .TE
 
 .SH SEE ALSO
-.LP
 \fBcpl_complete_word\fR(3TECLA), \fBef_expand_file\fR(3TECLA),
 \fBgl_io_mode\fR(3TECLA), \fBlibtecla\fR(3LIB), \fBpca_lookup_file\fR(3TECLA),
 \fBattributes\fR(5), \fBtecla\fR(5)
